#!/bin/sh
#
# RoboCup  2005
# 2D Simulation League
#
# Team startup script

host=$1
team="Apo11o"
mydir="/home/apollo"

prog="${mydir}/bin/apolloagent"
player_conf="${mydir}/conf/apollo.conf"
coach="${mydir}/bin/apollocoach"
coach_conf="${mydir}/conf/coach.conf"



cd ${mydir}
${prog} -file ${player_conf} -host ${host} -UNum 1 -team_name ${team} &
echo "goalie 1"

for (( i=2 ; i<12 ; i=$i+1 )) ; do
  sleep 1
  ${prog} -file ${player_conf} -host ${host} -UNum ${i} -team_name ${team} &
  echo "player ${i}"
done

sleep 1
${coach} -c ${coach_conf} -h ${host} -t ${team} &
echo "Apollo online coach"
wait
